{% extends 'base.html' %}
{% block title %}
    <title>Counter</title>
{% endblock title %}

{% block content %}
    <div class="mt-5 pt-5">

        <div class="row justify-content-center align-items-center" style="height: 20rem;">
            <div id="count" class="display-1">00</div>

        </div>
        <div class="row justify-content-center">
            <div class="col-5">
                <button id='hit' class="btn btn-block btn-primary">Hit!</button>
            </div>
        </div>

    </div>
    <script>
    {#The JQuery functions to hit the CountAPI endpoints#}

    {#The getJSON function is used to hit the endpoints which are passed through using the get_url and hit_url#}
    {# Djangle template context variables #}

    {#The following code gets the counter value#}
        $(document).ready(function () {
            $.getJSON("{{ get_url }}", function (response) {
                $("#count").text(response.value);
            });

    {#The following code is called when the html button with the id=hit is clicked#}
    {#which in turn calls the CounterAPI's hit endpoint and increment the counter value#}

            $("#hit").click(function () {
                $("#count").fadeOut(function () {
                    $.getJSON("{{ hit_url }}", function (response) {
                        $("#count").text(response.value).fadeIn();
                    });
                })
            })
        });
        {#In the above code the fadeOut() and fadeIn() functions are used to add the fad in and fade out effect#}
    </script>
{% endblock content %}